# TdApi.RecoverAuthenticationPassword

Package it.ernytech.tdlib

## Class TdApi.RecoverAuthenticationPassword

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.RecoverAuthenticationPassword

Enclosing class:
  TdApi

    public static class TdApi.RecoverAuthenticationPassword
    extends TdApi.Function

Recovers the password with a password recovery code sent to an email address that was previously set up. Works only when the current authorization state is authorizationStateWaitPassword.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `recoveryCode` Recovery code to check.

### Constructor Summary

Constructors
`RecoverAuthenticationPassword()` Default constructor.
`RecoverAuthenticationPassword​(java.lang.String recoveryCode)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### recoveryCode

    public java.lang.String recoveryCode

Recovery code to check.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### RecoverAuthenticationPassword

    public RecoverAuthenticationPassword()

Default constructor.

#### RecoverAuthenticationPassword

    public RecoverAuthenticationPassword​(java.lang.String recoveryCode)

Constructor for initialization of all fields.

Parameters:
  `recoveryCode` - Recovery code to check.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR